#include <stdarg.h>
#include <setjmp.h>
#include <stddef.h>
#include <cmocka.h>

#include <edapi/journal/file.h>

static void test_new_filename(void **state)
{
    char const *filename = "Journal.2023-04-18T061507.01.log";

    EDJournalFile *file = ed_journal_file_new();
    EDErrorCode ret = 0;

    assert_non_null(file);

    ret = ed_journal_file_parse(file, filename);
    assert_int_equal(ret, ed_error_success);

    g_clear_object(&file);
}

int main(int ac, char **av)
{
    static const struct CMUnitTest tests[] = {
        cmocka_unit_test(test_new_filename),
    };

    return cmocka_run_group_tests(tests, NULL, NULL);
}
